### Method

# Gdk Displaynotify_startup_complete

deprecated: 4.10

#### Declaration [src]

    void
    gdk_display_notify_startup_complete (
      GdkDisplay* display,
      const char* startup_id
    )

#### Description [src]

Indicates to the GUI environment that the application has finished loading, using a given identifier.

GTK will call this function automatically for GtkWindow with custom startup-notification identifier unless gtk_window_set_auto_startup_notification() is called to disable that feature.

Deprecated since: 4.10

Using `gdk_toplevel_set_startup_id()` is sufficient.

#### Parameters

`startup_id`

  Type: `const char*`

  A startup-notification identifier, for which notification process should be completed.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.